#@@@@@@@@@@@@@@@@@@@@@@@@@@
#  Aggregate datafiles
#@@@@@@@@@@@@@@@@@@@@@@@@@@

Perm.J <- read.csv("June_Permeability_Texel_2017.csv")
Perm.O <- read.csv("Oct_Permeability_Texel_2017.csv")

Sed.J <- read.csv("June_Texel_Malvern_2017.csv") 
Sed.O <- read.csv("Oct_Texel_Malvern_2017.csv") 

#MBES <- read.csv("transect.csv")
SCoor <- read.csv("Coordinates_June_Oct.csv")  
SCoor <- SCoor[1:34 ,1:5]

ORG.C_Jun <- read.csv("June_C_N_results.csv") 
OC_J = ORG.C_Jun  
ORG.C_Oct <- read.csv("Oct_C_N_results.csv") 
OC_O = ORG.C_Oct
CHLA = read.csv("June_Oct_chla.csv")
CHLA <- CHLA[1:34, ]

#All fractions data
SJ <- Sed.J$SD50MUM_2..m.
SO <- Sed.O$SD50MUM_2..m.
SJCOARJ <- Sed.J$SCOARSE._2....
SJCOARO <- Sed.O$SCOARSE._2....
SJSFINESJ <- Sed.J$SFINES._2....
SJSFINESO <- Sed.O$SFINES._2....
SJMEDIUMJ <- Sed.J$SMEDIUM._2....
SJMEDIUMO <- Sed.O$SMEDIUM._2....
SJVERYFINEJ <- Sed.J$SVFINES._2....
SJVERYFINEO <- Sed.O$SVFINES._2....
SJSILTJ <- Sed.J$SSILT63_2....
SJSILTO <- Sed.O$SSILT63_2....
SJD10J <- Sed.J$SD.0.1._2..m.
SJD10O <- Sed.O$SD.0.1._2..m.
SJD90J <- Sed.J$SD.0.9._2..m.
SJD90O <- Sed.O$SD.0.9._2..m.
MODEJ <- Sed.J$SMODE_2..m.
MODEO <- Sed.O$SMODE_2..m.
PHIJ <- Sed.J$SD50PHIM_2..phi.
PHIO <- Sed.O$SD50PHIM_2..phi.
 
#combine subsamples of each sample
SD50J <- as.numeric (tapply(SJ, Sed.J$ID, mean))
SD50JSD <- as.numeric (tapply(SJ, Sed.J$ID, sd))
SD50O <- as.numeric(tapply(SO, Sed.O$ID, mean))
SD50OSD <- as.numeric (tapply(SO, Sed.O$ID, sd))

COARSEJ <- as.numeric (tapply(SJCOARJ, Sed.J$ID, mean))
COARSEJSD <- as.numeric (tapply(SJCOARJ, Sed.J$ID, sd))
COARSEO <- as.numeric(tapply(SJCOARO, Sed.O$ID, mean))
COARSEOSD <- as.numeric (tapply(SJCOARO, Sed.O$ID, sd))

SFINESJ <- as.numeric (tapply(SJSFINESJ, Sed.J$ID, mean))
SFINESJSD <- as.numeric (tapply(SJSFINESJ, Sed.J$ID, sd))
SFINESO <- as.numeric (tapply(SJSFINESO, Sed.O$ID, mean))
SFINESOSD <- as.numeric (tapply(SJSFINESO, Sed.O$ID, sd))

MEDIUMJ <- as.numeric (tapply(SJMEDIUMJ, Sed.J$ID, mean))
MEDIUMJSD <- as.numeric (tapply(SJMEDIUMJ, Sed.J$ID, sd))
MEDIUMO <- as.numeric (tapply(SJMEDIUMO, Sed.O$ID, mean))
MEDIUMOSD <- as.numeric (tapply(SJMEDIUMO, Sed.O$ID, sd))

VERYFINEJ <- as.numeric (tapply(SJVERYFINEJ, Sed.J$ID, mean))
VERYFINEJSD <- as.numeric (tapply(SJVERYFINEJ, Sed.J$ID, sd))
VERYFINEO <- as.numeric (tapply(SJVERYFINEO, Sed.O$ID, mean))
VERYFINEOSD <- as.numeric (tapply(SJVERYFINEO, Sed.O$ID, sd))

SILTJ <- as.numeric (tapply(SJSILTJ, Sed.J$ID, mean))
SILTJSD <- as.numeric (tapply(SJSILTJ, Sed.J$ID, sd))
SILTO <- as.numeric (tapply(SJSILTO, Sed.O$ID, mean))
SILTOSD <- as.numeric (tapply(SJSILTO, Sed.O$ID, sd))

D10J <- as.numeric (tapply(SJD10J, Sed.J$ID, mean))
D10JSD <- as.numeric (tapply(SJD10J, Sed.J$ID, sd))
D10O <- as.numeric (tapply(SJD10O, Sed.O$ID, mean))
D10OSD <- as.numeric (tapply(SJD10O, Sed.O$ID, sd))

D90J <- as.numeric (tapply(SJD90J, Sed.J$ID, mean))
D90JSD <- as.numeric (tapply(SJD90J, Sed.J$ID, sd))
D90O <- as.numeric (tapply(SJD90O, Sed.O$ID, mean))
D90OSD <- as.numeric (tapply(SJD90O, Sed.O$ID, sd))

N_MODEJ <- as.numeric (tapply(MODEJ, Sed.J$ID, mean))
N_MODEJSD <- as.numeric (tapply(MODEJ, Sed.J$ID, sd))
N_MODEO <- as.numeric (tapply(MODEO, Sed.O$ID, mean))
N_MODEOSD <- as.numeric (tapply(MODEO, Sed.O$ID, sd))

N_PHIJ <- as.numeric (tapply(PHIJ, Sed.J$ID, mean))
N_PHIJSD <- as.numeric (tapply(PHIJ, Sed.J$ID, sd))
N_PHIO <- as.numeric (tapply(PHIO, Sed.O$ID, mean))
N_PHIOSD <- as.numeric (tapply(PHIO, Sed.O$ID, sd))

PermeaJ <- as.numeric(tapply(Perm.J$Permea, Perm.J$Sample.ID, mean))
PermeaJ
PermeaJSD <- as.numeric(tapply(Perm.J$Permea, Perm.J$Sample.ID, sd))
PermeaO <- as.numeric(tapply(Perm.O$Permea, Perm.O$Sample.ID, mean))
PermeaOSD <- as.numeric(tapply(Perm.O$Permea, Perm.O$Sample.ID, sd))

DateO <- unique(Perm.O$Date)[tapply(Perm.O$Date, Perm.O$Sample.ID, unique)]
DateJ <- unique(Perm.J$Date)[tapply(Perm.J$Date, Perm.J$Sample.ID, unique)]

JUN_ORG_AVG = aggregate(OC_J[,26:28],by=list(OC_J$ID), mean)
OCT_ORG_AVG = aggregate(OC_O[,25:27],by=list(OC_O$ID), mean)
JUN_ORG_AVG.SD = aggregate(OC_J[,26:28],by=list(OC_J$ID), sd)
OCT_ORG_AVG.SD = aggregate(OC_O[,25:27],by=list(OC_O$ID), sd)

JUN_CHLA_AVG = CHLA$SCLA_SPEC..g.Chl.a.g.[1:16] 
OCT_CHLA_AVG = CHLA$SCLA_SPEC..g.Chl.a.g.[17:34]

permeability <- c(PermeaJ, PermeaO)        
permea.sd <- c(PermeaJSD, PermeaOSD) 
SD50 <- c(SD50J, SD50O)
SD50.sd <- c(SD50JSD, SD50OSD)
COARSE <- c(COARSEJ, COARSEO)
COARSESD <- c(COARSEJSD, COARSEOSD)
SFINES <- c(SFINESJ, SFINESO)
SFINES.sd <- c(SFINESJSD, SFINESOSD)
MEDIUM <- c(MEDIUMJ, MEDIUMO)
MEDIUM.sd <- c(MEDIUMJSD, MEDIUMOSD)
SVFINES <- c(VERYFINEJ, VERYFINEO)
SVFINES.sd <- c(VERYFINEJSD, VERYFINEOSD)
SILT <- c(SILTJ, SILTO)
SILT.sd <- c(SILTJSD, SILTOSD)
D10 <- c(D10J, D10O)
D10.sd <- c(D10JSD, D10OSD)
D90 <- c(D90J, D90O)
D90.sd <- c(D90JSD, D90OSD)
MODE <- c(N_MODEJ, N_MODEO)
MODE.sd <- c(N_MODEJSD, N_MODEOSD)
PHI <- c(N_PHIJ, N_PHIO)
PHI.sd <- c(N_PHIJSD, N_PHIOSD)
TOT_N <- c(JUN_ORG_AVG$S.N....N.tot.., OCT_ORG_AVG$S.N....N.tot..)
TOT_N.sd <- c(JUN_ORG_AVG.SD$S.N....N.tot.., OCT_ORG_AVG.SD$S.N....N.tot..)
ORG.M <- c(JUN_ORG_AVG$SORG..C....org..C., OCT_ORG_AVG$SORG..C....org..C.)
ORG.M.sd <- c(JUN_ORG_AVG.SD$SORG..C....org..C., OCT_ORG_AVG.SD$SORG..C....org..C.)
C_N <- c(JUN_ORG_AVG$SCNRATIO..value., OCT_ORG_AVG$SCNRATIO..value.)
C_N.sd <- c(JUN_ORG_AVG.SD$SCNRATIO..value., OCT_ORG_AVG.SD$SCNRATIO..value.)
Chl_a <- c(JUN_CHLA_AVG, OCT_CHLA_AVG)
Depth.long <- SCoor$Longitude
Depth.lat <- SCoor$Latitude
Date <- c(as.POSIXct(DateJ), as.POSIXct(DateO))       
Date[Date == '2017-11-05'] = '2017-10-18'             
Stations <- SCoor$Station

AllData <- data.frame(permeability, permea.sd, SD50, SD50.sd,COARSE,COARSESD,SFINES,SFINES.sd,MEDIUM, 
                       MEDIUM.sd, SVFINES, SVFINES.sd, SILT, SILT.sd, D10, D10.sd, D90, D90.sd, 
                       MODE, MODE.sd, PHI, PHI.sd, TOT_N,TOT_N.sd, ORG.M, ORG.M.sd, C_N, C_N.sd, Chl_a, 
                       Depth.lat, Depth.long, Date,Stations)

Station_info = read.csv("Station_info.csv")
AllData = cbind(AllData, Station_info[ ,-1])

#write.csv(AllData, "AllData.csv")    

#  Figure 6  - Permea vs. D50
SW = read.csv("AllData.csv")
library(RColorBrewer)
darkcols <- brewer.pal(8, "Dark2")
palette(darkcols)

###### individual intercepts (June and October)
plot(SW$permeability[1:16] ~ SW$SD50[1:16],
     xlim = c(220,340),ylim = c(min(SW$permeability), max(SW$permeability)), pch = 10, las = 1, ann = FALSE)
m = lm(SW$permeability[1:16] ~ SW$SD50[1:16])
a = summary(m)$coefficients[1]
b = summary(m)$coefficients[2]
x = seq(min(SW$SD50), max(SW$SD50), length.out = 1000)
y = b*x + a
lines(y ~ x)
coef(m)   
paste('y =', coef(m)[[2]], '* x', '+', coef(m)[[1]])   
#text(locator(), labels = c(expression("y = 1.92e"^{-13} * " " * "x + -3.82e"^{-11})))

plot(SW$permeability[17:34] ~ SW$SD50[17:34],
     xlim = c(220,340),ylim = c(min(SW$permeability), max(SW$permeability)), pch = 10, las = 1, ann = FALSE)
m2 = lm(SW$permeability[17:34] ~ SW$SD50[17:34])
a2 = summary(m2)$coefficients[1]
b2 = summary(m2)$coefficients[2]
x2 = seq(min(SW$SD50), max(SW$SD50), length.out = 1000)
y2 = b2*x + a2
lines(y2 ~ x2)
mtext(side = 3, "Permeability vs. D50 June/Oct")
coef(m2)   
paste('y =', coef(m2)[[2]], '* x', '+', coef(m2)[[1]])   
#text(locator(), labels = c(expression("y = 2.82e"^{-13} * " " * "x + -5.71e"^{-11})))

par(oma = c(0,2,0,2))
plot(SW$permeability ~ SW$SD50, col=c(rep(1,16),rep(2,18)),  pch = 18,
     xlim = c(220,340),ylim = c(4.8e-12,3.6e-11), las = 1, ann = FALSE, yaxt = "n", xaxt = "n")
lines(y ~ x)
lines(y2 ~ x2)
legend("topleft",  pch = 18, col = 1:2, legend = c("June","October"), 
       pt.cex = 2, cex = 0.85,bg="white")
mtext(side = 3, "Permeability vs. D50", cex = 1.5)
mtext(side = 1, outer = FALSE, line=2.8,expression(paste(mu~m)), cex = 1.5)
mtext(side = 2, outer = FALSE, line=4.5,expression(paste(m^{2})), cex = 1.5)
axis(side=2, at=c(0.5e-11,1.5e-11,2.5e-11,3.5e-11), font=1.2, 
     cex.axis=1.2,las=1, labels=expression("0.5e"^{-11},"1.5e"^{-11},"2.5e"^{-11},"3.5e"^{-11}))
axis(side=1, at=c(220, 240, 260, 280, 300, 320, 340), font=1.2, 
     cex.axis=1.2,las=1, labels = c(220, 240, 260, 280, 300, 320, 340))
text(locator(), labels = c(expression("y = 1.92e"^{-13} * " " * "x + -3.82e"^{-11})))  # June
text(locator(), labels = c(expression("y = 2.82e"^{-13} * " " * "x + -5.71e"^{-11})))  # October

