
     #######
        #
        #
        #
   ###########
   #         #
   #         #
   #         #
   #         #
   #*********#    boxplots for manuscript 1  :  Figure 4
   #         #
   #         #
   #         #
   ###########
        #
        #
        #
     #######

ABIO = read.csv("AllData.csv")

NEWNAME = c("Number", "ID","PERMEA", "PERMEA_SD", "D50", "D50_SD", "Coarse", "Coarse_SD", "FINE", "FINE_SD","MEDIUM",
            "MEDIUM_SD","SVFINES", "SVFINES_SD","SILT","SILT_SD", "SD.0.1","SD.0.1_SD", "SD.0.9", "SD.0.9_SD", 
            "MODE", "MODE_SD", "D50PHI","D50PHI_SD", "TOT_N", "TOT_N_SD", "ORG_C", "ORG_C_SD","C_N_RAT",
            "C_N_RAT_SD", "CHLA", "Lat", "Lon", "Date", "Stations", "Distance", "Depth", "Corrected_Distance",
            "Corrected_Depth", "Depth2", "Distance2")
colnames(ABIO) <- NEWNAME  
            
JUN_ABIO = ABIO[1:16, ]
OCT_ABIO = ABIO[17:34, ]

Gentle = c(4, 20)
Crest = c(7,14,15,18, 19)
Steep = c(2, 3, 6,17,21)
Trough = c(1,5, 13, 16)

Gentle2 = c(4, 8, 16, 20)
Crest2 = c(2, 3, 7, 14, 15, 18, 19)
Steep2 = c(1, 6)
Trough2 = c(5, 9, 13, 17, 21)

#Assign proper MU to each sample
for (i in 1:length(JUN_ABIO$ID)) {
  JUN_ABIO$Morph[i][sum(JUN_ABIO$ID[i] == Gentle) == 1] = 'Gentle'  
  JUN_ABIO$Morph[i][sum(JUN_ABIO$ID[i] == Crest) == 1] = 'Crest'
  JUN_ABIO$Morph[i][sum(JUN_ABIO$ID[i] == Steep) == 1] = 'Steep'
  JUN_ABIO$Morph[i][sum(JUN_ABIO$ID[i] == Trough) == 1] = 'Trough'
}
JUN_ABIO$Morph = factor(JUN_ABIO$Morph, levels = c('Gentle', 'Crest', 'Steep', 'Trough'))

for (i in 1:length(OCT_ABIO$ID)) {
  OCT_ABIO$Morph[i][sum(OCT_ABIO$ID[i] == Gentle2) == 1] = 'Gentle'  
  OCT_ABIO$Morph[i][sum(OCT_ABIO$ID[i] == Crest2) == 1] = 'Crest'
  OCT_ABIO$Morph[i][sum(OCT_ABIO$ID[i] == Steep2) == 1] = 'Steep'
  OCT_ABIO$Morph[i][sum(OCT_ABIO$ID[i] == Trough2) == 1] = 'Trough'
}
OCT_ABIO$Morph = factor(OCT_ABIO$Morph, levels = c('Gentle', 'Crest', 'Steep', 'Trough'))
JUN_OCT_MORPH = rbind(JUN_ABIO, OCT_ABIO)

library(RColorBrewer)
darkcols <- brewer.pal(8, "Dark2")
palette(darkcols)

JUN_ABIO$SVSILT = JUN_ABIO$SVFINES + JUN_ABIO$SILT 
OCT_ABIO$SVSILT = OCT_ABIO$SVFINES + OCT_ABIO$SILT
JUN_ABIO$MEDCOR = JUN_ABIO$Coarse + JUN_ABIO$MEDIUM 
OCT_ABIO$MEDCOR = OCT_ABIO$Coarse + OCT_ABIO$MEDIUM 

GEN_J = JUN_ABIO[JUN_ABIO$Morph == "Gentle"  , ]  
CRE_J = JUN_ABIO[JUN_ABIO$Morph == "Crest"  , ]  
STE_J = JUN_ABIO[JUN_ABIO$Morph == "Steep"  , ]  
TRO_J = JUN_ABIO[JUN_ABIO$Morph == "Trough"  , ]  

GEN_O = OCT_ABIO[OCT_ABIO$Morph == "Gentle"  , ]  
CRE_O = OCT_ABIO[OCT_ABIO$Morph == "Crest"  , ]  
STE_O = OCT_ABIO[OCT_ABIO$Morph == "Steep"  , ]  
TRO_O = OCT_ABIO[OCT_ABIO$Morph == "Trough"  , ]  


require(plotrix)
LINE = 3
par (mfrow = c(3, 2), oma = c(4,2,2,2), mar = c(4,7,2,0))    
boxplot(GEN_J$PERMEA, GEN_O$PERMEA, CRE_J$PERMEA, CRE_O$PERMEA, STE_J$PERMEA, STE_O$PERMEA,
        TRO_J$PERMEA, TRO_O$PERMEA, col = 1:2, xaxt = "n", yaxt = "n", ann = FALSE, outline=FALSE)
axis(side=2, at=c(0.5e-11,1.5e-11,2.5e-11,3.5e-11), font=1.2, 
     cex.axis=1.2,las=1, labels=expression("0.5e"^{-11},"1.5e"^{-11},"2.5e"^{-11},"3.5e"^{-11}))
axis(side=2,at = c(0, 2, 4, 6, 8, 10), labels=c("0","2","4", "6", "8", "10"), las = 1)
mtext(side = 2, outer = FALSE, line=5,expression(paste(m^{2})))
title("Permeability")
abline(v = 2.5, lty = LINE)
abline(v = 4.5, lty = LINE)
abline(v = 6.5, lty = LINE)
boxplot(GEN_J$MEDCOR, GEN_O$MEDCOR, CRE_J$MEDCOR, CRE_O$MEDCOR, STE_J$MEDCOR, STE_O$MEDCOR,
        TRO_J$MEDCOR, TRO_O$MEDCOR, col = 1:2, xaxt = "n", yaxt = "n", ann = FALSE, outline=FALSE)

axis(side=2,at = c(40, 50, 60, 70, 80), labels=c("40","50","60", "70", "80"), las = 1)
mtext(side = 2, line=3, "vol. %")
title("Medium + Coarse sand")
abline(v = 2.5, lty = LINE)
abline(v = 4.5, lty = LINE)
abline(v = 6.5, lty = LINE)
boxplot(GEN_J$ORG_C, GEN_O$ORG_C, CRE_J$ORG_C, CRE_O$ORG_C, STE_J$ORG_C, STE_O$ORG_C,
        TRO_J$ORG_C, TRO_O$ORG_C, col = 1:2, las = 1, xaxt = "n", yaxt = "n", ann = FALSE, outline=FALSE)
axis(side=2,at = c(0, .05, 0.1, .15, .2), labels=c("0","0.05","0.1", "0.15",  "0.2"), las = 1)
mtext(side = 2, line=5, "vol. %")
title("Organic carbon")
legend("topleft",  pch = 18, col = 1:2, legend = c("June","October"), 
       pt.cex = 2, cex = 0.85, bg="white")
abline(v = 2.5, lty = LINE)
abline(v = 4.5, lty = LINE)
abline(v = 6.5, lty = LINE)
boxplot(GEN_J$FINE, GEN_O$FINE, CRE_J$FINE, CRE_O$FINE, STE_J$FINE, STE_O$FINE,
        TRO_J$FINE, TRO_O$FINE, col = 1:2, xaxt = "n", yaxt = "n", ylim = c(0,70), outline=FALSE)

axis(side=2,at = c(0, 20, 40, 60), labels=c("0","20","40", "60"), las = 1)
mtext(side = 2, line=3, "vol. %")
title("Fine sand", line = .5)
STE_J$CHLA[1] = STE_J$CHLA[1] -2
abline(v = 2.5, lty = LINE)
abline(v = 4.5, lty = LINE)
abline(v = 6.5, lty = LINE)
boxplot(GEN_J$CHLA, GEN_O$CHLA, CRE_J$CHLA, CRE_O$CHLA, STE_J$CHLA, STE_O$CHLA,
        TRO_J$CHLA, TRO_O$CHLA, col = 1:2, xaxt = "n", yaxt = "n",ylim = c(0,2), outline=FALSE)
axis(side=1,at = c(1.5,3.5,5.5,7.5), labels=c("Gentle","Crest","Steep", "Trough"))
axis(side=2,at = c(0, 1, 2), labels=c("0","1","2"), las = 1)
mtext(side = 2, line=5, expression( mu~"g g"^{-1}))
title("Chl-a")
abline(v = 2.5, lty = LINE)
abline(v = 4.5, lty = LINE)
abline(v = 6.5, lty = LINE)

boxplot(GEN_J$SVSILT, GEN_O$SVSILT, CRE_J$SVSILT, CRE_O$SVSILT, STE_J$SVSILT, STE_O$SVSILT,
        TRO_J$SVSILT, TRO_O$SVSILT, col = 1:2, xaxt = "n", yaxt = "n", ylim = c(0,20), outline=FALSE)
axis(side=1,at = c(1.5,3.5,5.5,7.5), labels=c("Gentle","Crest","Steep", "Trough"))
axis(side=2,at = c(0, 5,10,15,20), labels=c("0","5","10", "15", "20"), las = 1)
mtext(side = 2, line=3, "vol. %")
title("Very fine sand + silt")
abline(v = 2.5, lty = LINE)
abline(v = 4.5, lty = LINE)
abline(v = 6.5, lty = LINE)


#####################################################################################################################
#Supplementary Figure 4
#####################################################################################################################
par (mfrow = c(3, 2), oma = c(4,2,2,2), mar = c(4,7,2,0))    
boxplot(GEN_J$SD.0.1, GEN_O$SD.0.1, CRE_J$SD.0.1, CRE_O$SD.0.1, STE_J$SD.0.1, STE_O$SD.0.1,
        TRO_J$SD.0.1, TRO_O$SD.0.1, col = 1:2, xaxt = "n", outline=FALSE, las = 1)
axis(side=1,at = c(1.5,3.5,5.5,7.5), labels=c("Gentle","Crest","Steep", "Trough"))
mtext(side = 2, line=3, expression(um))
title("D10")
abline(v = 2.5, lty = LINE)
abline(v = 4.5, lty = LINE)
abline(v = 6.5, lty = LINE)

boxplot(GEN_J$SD.0.9, GEN_O$SD.0.9, CRE_J$SD.0.9, CRE_O$SD.0.9, STE_J$SD.0.9, STE_O$SD.0.9,
        TRO_J$SD.0.9, TRO_O$SD.0.9, col = 1:2, xaxt = "n",  outline=FALSE, las = 1)
axis(side=1,at = c(1.5,3.5,5.5,7.5), labels=c("Gentle","Crest","Steep", "Trough"))
mtext(side = 2, line=3, expression(um))
title("D90")
abline(v = 2.5, lty = LINE)
abline(v = 4.5, lty = LINE)
abline(v = 6.5, lty = LINE)

boxplot(GEN_J$MODE, GEN_O$MODE, CRE_J$MODE, CRE_O$MODE, STE_J$MODE, STE_O$MODE,
        TRO_J$MODE, TRO_O$MODE, col = 1:2, xaxt = "n",  outline=FALSE, las = 1)
axis(side=1,at = c(1.5,3.5,5.5,7.5), labels=c("Gentle","Crest","Steep", "Trough"))
mtext(side = 2, line=3, expression(um))
title("Mode")
abline(v = 2.5, lty = LINE)
abline(v = 4.5, lty = LINE)
abline(v = 6.5, lty = LINE)

boxplot(GEN_J$D50, GEN_O$D50, CRE_J$D50, CRE_O$D50, STE_J$D50, STE_O$D50,
        TRO_J$D50, TRO_O$D50, col = 1:2, xaxt = "n",  outline=FALSE, las = 1)
axis(side=1,at = c(1.5,3.5,5.5,7.5), labels=c("Gentle","Crest","Steep", "Trough"))
mtext(side = 2, line=3, expression(um))
title("D50")
abline(v = 2.5, lty = LINE)
abline(v = 4.5, lty = LINE)
abline(v = 6.5, lty = LINE)

