require(scales)

WAVE_HT = read.csv("EGbuoy_Hm0_June.csv") #I added a minutes column; the tijd and datum were not plotting correctly
#WAVE_HT = read.csv("Q1A_stappenbaak_Hm0_June.csv")

WW = as.numeric(WAVE_HT$NUMERIEKEWAARDE)
TT = WAVE_HT$Minutes

plot(TT, WW, type = "l", ann = FALSE, yaxt = "n", xaxt = "n", ylim = c(0,5.5))
axis(side = 1, at = c(0, 5030, 10070, 15100, 20150, 25180), labels = c("1 Jun", "4 Jun", "7 Jun", "10 Jun", 
                                                                      "13 Jun", "16 Jun"))
axis(side = 2, at = c( 1, 2, 3, 4, 5), labels = c(1, 2, 3, 4, 5), las = 1)

mtext(side = 2, "Wave Height (m)", line = 2, cex = 1.5, font = 2)
mtext(side = 3, "June Campaign", line = 1, cex = 1.5, font = 2)
rect(xleft = TT[1838], xright = TT[1877], ybottom = -1, ytop = 6, col = alpha("blue",0.5), lty = 0)
rect(xleft = TT[2075], xright = TT[2115], ybottom = -1, ytop = 6, col = alpha("red",0.5), lty = 0)
legend("topright",  pch = 22, pt.bg=c(alpha("blue",0.5),alpha("red",0.5),"white","black"), 
       legend = c("MBES","Coring"), pt.cex = 2, cex = 1, 
       bg="white")

###############################
# october data the EGbuoy_Hm0 for Oct is not good

WAVE_HTOct = read.csv("Q1A_stappenbaak_Hm0_Oct.csv")
TTO = WAVE_HTOct$Minutes
WWO = WAVE_HTOct$NUMERIEKEWAARDE

plot(TTO[578:2881], WWO[578:2881], type = "l", ylim = c(0, 5.5), ann = FALSE, yaxt = "n", xaxt = "n")
axis(side = 1, at = c(0, 219, 393, 2679, 10764, 16689), labels = c("5 Oct", "8 Oct", "11 Oct", "14 Oct", "17 Oct", 
                                                                       "20 Oct"))
axis(side = 2, at = c( 1, 2, 3, 4, 5), labels = c(1, 2, 3, 4, 5), las = 1)

mtext(side = 2, "Wave Height (m)", line = 2, cex = 1.5, font = 2)
mtext(side = 3, "Oct Campaign", line = 1, cex = 1.5, font = 2)
rect(xleft = TTO[2233], xright = TTO[2255], ybottom = -1, ytop = 6, col = alpha("blue",0.5), lty = 0)
rect(xleft = TTO[2270], xright = TTO[2339], ybottom = -1, ytop = 6, col = alpha("blue",0.5), lty = 0)
rect(xleft = TTO[2411], xright = TTO[2483], ybottom = -1, ytop = 6, col = alpha("blue",0.5), lty = 0)

rect(xleft = TTO[2345], xright = TTO[2394], ybottom = -1, ytop = 6, col = alpha("red",0.5), lty = 0)
legend("topright",  pch = 22, pt.bg=c(alpha("blue",0.5),alpha("red",0.5),"white","black"), 
       legend = c("MBES","Coring"), pt.cex = 2, cex = 1, 
       bg="white")

#buoy wind June
BUOYWIND = read.csv("IerlandseGatBuoy_wind_environment.csv")

plot(BUOYWIND$Minutes[1:362], (BUOYWIND$MeanWind/10)[1:362], type = "l", ylim = c(0, 30), ann = FALSE, yaxt = "n", xaxt = "n")
axis(side = 1, at = c(0, 4320, 8640, 12960, 17280, 21600), labels = c("1 Jun", "4 Jun", "7 Jun", "10 Jun", 
                                                                      "13 Jun", "16 Jun"))
axis(side = 2, at = c( 0, 5, 10, 15, 20, 25, 30), labels = c(0, 5, 10, 15, 20, 25, 30), las = 1)
mtext(side = 2, expression( "m s"^{-1}), line = 2, cex = 1.5, font = 2)
mtext(side = 3, "June Mean Wind Speed", line = 1, cex = 1.5, font = 2)
rect(xleft = BUOYWIND$Minutes[263], xright = BUOYWIND$Minutes[269], ybottom = -1, ytop = 35, col = alpha("blue",0.5), lty = 0)
rect(xleft = BUOYWIND$Minutes[297], xright = BUOYWIND$Minutes[303], ybottom = -1, ytop = 35, col = alpha("red",0.5), lty = 0)
legend("topright",  pch = 22, pt.bg=c(alpha("blue",0.5),alpha("red",0.5),"white","black"), 
       legend = c("MBES","Coring"), pt.cex = 2, cex = 1, 
       bg="white")

#buoy wind October
plot(BUOYWIND$Minutes[3026:3409], (BUOYWIND$MeanWind/10)[3026:3409], type = "l", ylim = c(0, 30), ann = FALSE, yaxt = "n", xaxt = "n")
axis(side = 1, at = c(181440, 185760, 190080, 194400, 198720, 203040), labels = c("5 Oct", "8 Oct", "11 Oct", "14 Oct", "17 Oct", 
                                                                                          "20 Oct"))
axis(side = 2, at = c( 0, 5, 10, 15, 20, 25, 30), labels = c(0, 5, 10, 15, 20, 25, 30), las = 1)
mtext(side = 2, expression( "m s"^{-1}), line = 2, cex = 1.5, font = 2)
mtext(side = 3, "Oct Mean Wind Speed", line = 1, cex = 1.5, font = 2)
rect(xleft = BUOYWIND$Minutes[3301], xright = BUOYWIND$Minutes[3305], ybottom = -5, ytop = 35, col = alpha("blue",0.5), lty = 0)
rect(xleft = BUOYWIND$Minutes[3308], xright = BUOYWIND$Minutes[3319], ybottom = -5, ytop = 35, col = alpha("blue",0.5), lty = 0)
rect(xleft = BUOYWIND$Minutes[3330], xright = BUOYWIND$Minutes[3343], ybottom = -5, ytop = 35, col = alpha("blue",0.5), lty = 0)
rect(xleft = BUOYWIND$Minutes[3320], xright = BUOYWIND$Minutes[3328], ybottom = -5, ytop = 35, col = alpha("red",0.5), lty = 0)
legend("topright",  pch = 22, pt.bg=c(alpha("blue",0.5),alpha("red",0.5),"white","black"), 
       legend = c("MBES","Coring"), pt.cex = 2, cex = 1, 
       bg="white")

#buoy wind from 1 June to 4 November
plot(BUOYWIND$Minutes, (BUOYWIND$MeanWind/10), type = "l", ylim = c(0, 30), ann = FALSE, yaxt = "n", xaxt = "n")
axis(side = 1, at = c(0, 37500, 75000, 112500, 150000, 187500, 225000), labels = c("1 Jun", "27 Jun", "23 Jul", "18 Aug", 
                                                                                   "13 Sep", "9 Oct", "4 Nov"))
axis(side = 2, at = c( 0, 5, 10, 15, 20, 25, 30), labels = c(0, 5, 10, 15, 20, 25, 30), las = 1)
mtext(side = 2, expression( "m s"^{-1}), line = 2, cex = 1.5, font = 2)
mtext(side = 3, "Mean Wind Speed", line = 1, cex = 1.5, font = 2)
rect(xleft = BUOYWIND$Minutes[263], xright = BUOYWIND$Minutes[303], ybottom = -5, ytop = 35, col = alpha("green",0.5), lty = 0)
rect(xleft = BUOYWIND$Minutes[3301], xright = BUOYWIND$Minutes[3343], ybottom = -5, ytop = 35, col = alpha("gray",0.5), lty = 0)
legend("topright",  pch = 22, pt.bg=c(alpha("green",0.5),alpha("gray",0.5),"white","black"), 
       legend = c("Jun","Oct"), pt.cex = 2, cex = 1, 
       bg="white")

#Stappenhoek wave height from 1 June to 4 November ; less good wave data for June period
BUOYWAVE = read.csv("Q1A_stappenbaak_Hm0_June_to_Oct.csv")

plot(BUOYWAVE$Minutes, BUOYWAVE$NUMERIEKEWAARDE, type = "l", ann = FALSE, yaxt = "n", xaxt = "n")
axis(side = 1, at = c(0, 37500, 75000, 112500, 150000, 187500, 225000), labels = c("1 Jun", "27 Jun", "23 Jul", "18 Aug", 
                                                                                   "13 Sep", "9 Oct", "4 Nov"))
axis(side = 2, at = c( 1, 2, 3, 4, 5, 6, 7), labels = c(1, 2, 3, 4, 5, 6, 7), las = 1)
mtext(side = 2, "m", line = 2, cex = 1.5, font = 2)
mtext(side = 3, "Wave height", line = 1, cex = 1.5, font = 2)
rect(xleft = BUOYWIND$Minutes[263], xright = BUOYWIND$Minutes[303], ybottom = -1, ytop = 30, col = alpha("green",0.5), lty = 0)
rect(xleft = BUOYWIND$Minutes[3301], xright = BUOYWIND$Minutes[3343], ybottom = -1, ytop = 30, col = alpha("gray",0.5), lty = 0)
legend("topright",  pch = 22, pt.bg=c(alpha("green",0.5),alpha("gray",0.5),"white","black"), 
       legend = c("Jun","Oct"), pt.cex = 2, cex = 1, 
       bg="white")


#Supplementary Figure 1 (1-6)
par(mfrow = c(6,1), mar = c(2, 5, 4, 3))
plot(TT, WW, type = "l", ann = FALSE, yaxt = "n", xaxt = "n", ylim = c(0,7))
axis(side = 1, at = c(0, 5030, 10070, 15100, 20150, 25180), labels = c("1 Jun", "4 Jun", "7 Jun", "10 Jun", 
                                                                       "13 Jun", "16 Jun"))
axis(side = 2, at = c( 1, 2, 3, 4, 5, 6, 7), labels = c(1, 2, 3, 4, 5, 6, 7), las = 1)

mtext(side = 2, "m", line = 2, cex = 1.2, font = 2)
mtext(side = 3, "June wave height", line = 1, cex = 1.2, font = 2)
rect(xleft = TT[1838], xright = TT[1877], ybottom = -1, ytop = 8, col = alpha("blue",0.5), lty = 0)
rect(xleft = TT[2075], xright = TT[2115], ybottom = -1, ytop = 8, col = alpha("red",0.5), lty = 0)
legend("topright",  pch = 22, pt.bg=c(alpha("blue",0.5),alpha("red",0.5),"white","black"), 
       legend = c("MBES","Coring"), pt.cex = 2, cex = 1, 
       bg="white")

plot(BUOYWIND$Minutes[1:362], (BUOYWIND$MeanWind/10)[1:362], type = "l", ylim = c(0, 30), ann = FALSE, yaxt = "n", xaxt = "n")
axis(side = 1, at = c(0, 4320, 8640, 12960, 17280, 21600), labels = c("1 Jun", "4 Jun", "7 Jun", "10 Jun", 
                                                                      "13 Jun", "16 Jun"))
axis(side = 2, at = c( 0, 5, 10, 15, 20, 25, 30), labels = c(0, 5, 10, 15, 20, 25, 30), las = 1)
mtext(side = 2, expression( "m s"^{-1}), line = 2, cex = 1.2, font = 2)
mtext(side = 3, "June mean wind speed", line = 1, cex = 1.2, font = 2)
rect(xleft = BUOYWIND$Minutes[263], xright = BUOYWIND$Minutes[269], ybottom = -1, ytop = 35, col = alpha("blue",0.5), lty = 0)
rect(xleft = BUOYWIND$Minutes[297], xright = BUOYWIND$Minutes[303], ybottom = -1, ytop = 35, col = alpha("red",0.5), lty = 0)
legend("topright",  pch = 22, pt.bg=c(alpha("blue",0.5),alpha("red",0.5),"white","black"), 
       legend = c("MBES","Coring"), pt.cex = 2, cex = 1, 
       bg="white")

plot(TTO[578:2881], WWO[578:2881], type = "l", ylim = c(0, 7), ann = FALSE, yaxt = "n", xaxt = "n")
axis(side = 1, at = c(5760, 10080, 14400, 18720, 23040, 27360), labels = c("5 Oct", "8 Oct", "11 Oct", "14 Oct", "17 Oct", 
                                                                           "20 Oct"))
axis(side = 2, at = c( 1, 2, 3, 4, 5, 6, 7), labels = c(1, 2, 3, 4, 5, 6, 7), las = 1)

mtext(side = 2, "m", line = 2, cex = 1.2, font = 2)
mtext(side = 3, "Oct wave height", line = 1, cex = 1.2, font = 2)
rect(xleft = TTO[2233], xright = TTO[2255], ybottom = -1, ytop = 8, col = alpha("blue",0.5), lty = 0)
rect(xleft = TTO[2270], xright = TTO[2339], ybottom = -1, ytop = 8, col = alpha("blue",0.5), lty = 0)
rect(xleft = TTO[2411], xright = TTO[2483], ybottom = -1, ytop = 8, col = alpha("blue",0.5), lty = 0)

rect(xleft = TTO[2345], xright = TTO[2394], ybottom = -1, ytop = 8, col = alpha("red",0.5), lty = 0)
legend("topright",  pch = 22, pt.bg=c(alpha("blue",0.5),alpha("red",0.5),"white","black"), 
       legend = c("MBES","Coring"), pt.cex = 2, cex = 1, 
       bg="white")


plot(BUOYWIND$Minutes[3026:3409], (BUOYWIND$MeanWind/10)[3026:3409], type = "l", ylim = c(0, 30), ann = FALSE, yaxt = "n", xaxt = "n")
axis(side = 1, at = c(181440, 185760, 190080, 194400, 198720, 203040), labels = c("5 Oct", "8 Oct", "11 Oct", "14 Oct", "17 Oct", 
                                                                                  "20 Oct"))
axis(side = 2, at = c( 0, 5, 10, 15, 20, 25, 30), labels = c(0, 5, 10, 15, 20, 25, 30), las = 1)
mtext(side = 2, expression( "m s"^{-1}), line = 2, cex = 1.2, font = 2)
mtext(side = 3, "Oct mean wind speed", line = 1, cex = 1.2, font = 2)
rect(xleft = BUOYWIND$Minutes[3301], xright = BUOYWIND$Minutes[3305], ybottom = -5, ytop = 35, col = alpha("blue",0.5), lty = 0)
rect(xleft = BUOYWIND$Minutes[3308], xright = BUOYWIND$Minutes[3319], ybottom = -5, ytop = 35, col = alpha("blue",0.5), lty = 0)
rect(xleft = BUOYWIND$Minutes[3330], xright = BUOYWIND$Minutes[3343], ybottom = -5, ytop = 35, col = alpha("blue",0.5), lty = 0)
rect(xleft = BUOYWIND$Minutes[3320], xright = BUOYWIND$Minutes[3328], ybottom = -5, ytop = 35, col = alpha("red",0.5), lty = 0)
legend("topright",  pch = 22, pt.bg=c(alpha("blue",0.5),alpha("red",0.5),"white","black"), 
       legend = c("MBES","Coring"), pt.cex = 2, cex = 1, 
       bg="white")

plot(BUOYWAVE$Minutes, BUOYWAVE$NUMERIEKEWAARDE, type = "l", ann = FALSE, yaxt = "n", xaxt = "n")
axis(side = 1, at = c(0, 37500, 75000, 112500, 150000, 187500, 225000), labels = c("1 Jun", "27 Jun", "23 Jul", "18 Aug", 
                                                                                   "13 Sep", "9 Oct", "4 Nov"))
axis(side = 2, at = c( 1, 2, 3, 4, 5, 6, 7), labels = c(1, 2, 3, 4, 5, 6, 7), las = 1)
mtext(side = 2, "m", line = 2, cex = 1.2, font = 2)
mtext(side = 3, "Wave height", line = 1, cex = 1.2, font = 2)
rect(xleft = BUOYWIND$Minutes[263], xright = BUOYWIND$Minutes[303], ybottom = -1, ytop = 30, col = alpha("purple",0.5), lty = 0)
rect(xleft = BUOYWIND$Minutes[3301], xright = BUOYWIND$Minutes[3343], ybottom = -1, ytop = 30, col = alpha("orange",0.5), lty = 0)
legend("topright",  pch = 22, pt.bg=c(alpha("purple",0.5),alpha("orange",0.5),"white","black"), 
       legend = c("Jun","Oct"), pt.cex = 2, cex = 1, 
       bg="white")

plot(BUOYWIND$Minutes, (BUOYWIND$MeanWind/10), type = "l", ylim = c(0,30), ann = FALSE, yaxt = "n", xaxt = "n")
axis(side = 1, at = c(0, 37500, 75000, 112500, 150000, 187500, 225000), labels = c("1 Jun", "27 Jun", "23 Jul", "18 Aug", 
                                                                                   "13 Sep", "9 Oct", "4 Nov"))
axis(side = 2, at = c( 0, 5, 10, 15, 20, 25, 30), labels = c(0, 5, 10, 15, 20, 25, 30), las = 1)
mtext(side = 2, expression( "m s"^{-1}), line = 2, cex = 1.2, font = 2)
mtext(side = 3, "Mean wind speed", line = 1, cex = 1.2, font = 2)
rect(xleft = BUOYWIND$Minutes[263], xright = BUOYWIND$Minutes[303], ybottom = -1, ytop = 30, col = alpha("purple",0.5), lty = 0)
rect(xleft = BUOYWIND$Minutes[3301], xright = BUOYWIND$Minutes[3343], ybottom = -1, ytop = 30, col = alpha("orange",0.5), lty = 0)
legend("topright",  pch = 22, pt.bg=c(alpha("purple",0.5),alpha("orange",0.5),"white","black"), 
       legend = c("Jun","Oct"), pt.cex = 2, cex = 1, 
       bg="white")

#######################################################################
#Pelagia log data
#######################################################################
CASINO = read.csv("CASINO_June.csv")
par(mfrow = c(2,2), mar = c(2, 4, 4, 1))
require(scales)
plot(CASINO$Number[8577:13507], CASINO$PE_SERCELGPS_01_position_gndspeed[8577:13507], ann = FALSE, yaxt = "n", xaxt = "n",  type = "l", ylim = c(0, 10))
axis(side = 1, at = c(8577, 11042, 13507 ), labels = c("11 Jun", "12 Jun", "13 Jun"))
axis(side = 2, at = c( 1:10), labels = c(1, 2, 3, 4, 5, 6, 7, 8, 9, 10), las = 1)

mtext(side = 2, "knots", line = 2, cex = 1.2, font = 2)
mtext(side = 3, "June sailing speed", line = 1, cex = 1.2, font = 2)
rect(xleft = CASINO$Number[8577], xright = CASINO$Number[9247], ybottom = -1, ytop = 11, col = alpha("blue",0.5), lty = 0)
rect(xleft = CASINO$Number[12750], xright = CASINO$Number[13505], ybottom = -1, ytop = 11, col = alpha("red",0.5), lty = 0)
legend("topright",  pch = 22, pt.bg=c(alpha("blue",0.5),alpha("red",0.5),"white","black"), 
       legend = c("MBES","Coring"), pt.cex = 2, cex = 1, 
       bg="white")

CASINO_Oct = read.csv("CASINO_Oct.csv")
require(scales)
plot(CASINO_Oct$Number[483:5551], CASINO_Oct$PE_SERCELGPS_01_position_gndspeed[483:5551], ann = FALSE, yaxt = "n", xaxt = "n",  type = "l", ylim = c(0, 10))
axis(side = 1, at = c(483, 3016, 5551 ), labels = c("16 Oct", "17 Oct", "18 Oct"))
axis(side = 2, at = c( 1:10), labels = c(1, 2, 3, 4, 5, 6, 7, 8, 9, 10), las = 1)
mtext(side = 3, "Oct sailing speed", line = 1, cex = 1.2, font = 2)
rect(xleft = CASINO_Oct$Number[483], xright = CASINO_Oct$Number[671], ybottom = -1, ytop = 11, col = alpha("blue",0.5), lty = 0)
rect(xleft = CASINO_Oct$Number[1231], xright = CASINO_Oct$Number[2616], ybottom = -1, ytop = 11, col = alpha("blue",0.5), lty = 0)
rect(xleft = CASINO_Oct$Number[4103], xright = CASINO_Oct$Number[5551], ybottom = -1, ytop = 11, col = alpha("blue",0.5), lty = 0)
rect(xleft = CASINO_Oct$Number[2744], xright = CASINO_Oct$Number[3771], ybottom = -1, ytop = 11, col = alpha("red",0.5), lty = 0)
legend("topright",  pch = 22, pt.bg=c(alpha("blue",0.5),alpha("red",0.5),"white","black"), 
       legend = c("MBES","Coring"), pt.cex = 2, cex = 1, 
       bg="white")

#CASINO wind speed June
require(scales)
plot(CASINO$Number[8577:13507], CASINO$PE_WEATHER_01_weather_trueairspeed[8577:13507], ann = FALSE, yaxt = "n", xaxt = "n",  type = "l", ylim = c(0, 20))
axis(side = 1, at = c(8577, 11042, 13507 ), labels = c("11 Jun", "12 Jun", "13 Jun"))
axis(side = 2, at = c(1, 5, 10, 15, 20), labels = c(0, 5, 10, 15, 20), las = 1)

mtext(side = 2, expression( "m s"^{-1}), line = 2, cex = 1.2, font = 2)
mtext(side = 3, "June wind speed", line = 1, cex = 1.2, font = 2)
rect(xleft = CASINO$Number[8577], xright = CASINO$Number[9247], ybottom = -1, ytop = 21, col = alpha("blue",0.5), lty = 0)
rect(xleft = CASINO$Number[12750], xright = CASINO$Number[13505], ybottom = -1, ytop = 21, col = alpha("red",0.5), lty = 0)
legend("topright",  pch = 22, pt.bg=c(alpha("blue",0.5),alpha("red",0.5),"white","black"), 
       legend = c("MBES","Coring"), pt.cex = 2, cex = 1, 
       bg="white")

#CASINO wind speed Oct
plot(CASINO_Oct$Number[483:5551], CASINO_Oct$PE_WEATHER_01_weather_trueairspeed[483:5551], ann = FALSE, yaxt = "n", xaxt = "n",  type = "l", ylim = c(0, 20))
axis(side = 1, at = c(483, 3016, 5551 ), labels = c("16 Oct", "17 Oct", "18 Oct"))
axis(side = 2, at = c(1, 5, 10, 15, 20), labels = c(0, 5, 10, 15, 20), las = 1)

mtext(side = 3, "Oct wind speed", line = 1, cex = 1.2, font = 2)
rect(xleft = CASINO_Oct$Number[483], xright = CASINO_Oct$Number[671], ybottom = -1, ytop = 21, col = alpha("blue",0.5), lty = 0)
rect(xleft = CASINO_Oct$Number[1231], xright = CASINO_Oct$Number[2616], ybottom = -1, ytop = 21, col = alpha("blue",0.5), lty = 0)
rect(xleft = CASINO_Oct$Number[4103], xright = CASINO_Oct$Number[5551], ybottom = -1, ytop = 21, col = alpha("blue",0.5), lty = 0)
rect(xleft = CASINO_Oct$Number[2744], xright = CASINO_Oct$Number[3771], ybottom = -1, ytop = 21, col = alpha("red",0.5), lty = 0)
legend("topright",  pch = 22, pt.bg=c(alpha("blue",0.5),alpha("red",0.5),"white","black"), 
       legend = c("MBES","Coring"), pt.cex = 2, cex = 1, 
       bg="white")

